Index: LMDZ.3.3/trunk/libf/dyn3d/defrun_new.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/defrun_new.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/defrun_new.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       SUBROUTINE defrun_new( tapedef, etatinit, clesphy0 )
Index: LMDZ.3.3/trunk/libf/dyn3d/dynetat0.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/dynetat0.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/dynetat0.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       SUBROUTINE dynetat0(fichnom,nq,vcov,ucov,
Index: LMDZ.3.3/trunk/libf/dyn3d/dynredem.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/dynredem.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/dynredem.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       SUBROUTINE dynredem0(fichnom,idayref,anneeref,phis,nq)
Index: LMDZ.3.3/trunk/libf/dyn3d/fxhyp.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/fxhyp.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/fxhyp.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
        SUBROUTINE fxhyp ( xzoomdeg,grossism,dzoom,tau ,
Index: LMDZ.3.3/trunk/libf/dyn3d/fxyhyper.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/fxyhyper.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/fxyhyper.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
        SUBROUTINE fxyhyper ( yzoom, grossy, dzoomy,tauy  ,   
Index: LMDZ.3.3/trunk/libf/dyn3d/fyhyp.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/fyhyp.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/fyhyp.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
        SUBROUTINE fyhyp ( yzoomdeg, grossism, dzoom,tau  ,  
Index: LMDZ.3.3/trunk/libf/dyn3d/grilles_gcm_netcdf.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/grilles_gcm_netcdf.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/grilles_gcm_netcdf.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
 
Index: LMDZ.3.3/trunk/libf/dyn3d/heavyside.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/heavyside.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/heavyside.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
        FUNCTION heavyside(a)
Index: LMDZ.3.3/trunk/libf/dyn3d/inigeom.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/inigeom.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/inigeom.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       SUBROUTINE inigeom
Index: LMDZ.3.3/trunk/libf/dyn3d/nudge.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/nudge.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/nudge.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
       subroutine nudge(itau,ucov,vcov,teta,masse,ps)
 
Index: LMDZ.3.3/trunk/libf/dyn3d/offlinenc.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/offlinenc.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/offlinenc.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       PROGRAM offlinenc
Index: LMDZ.3.3/trunk/libf/dyn3d/pres2lev.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/pres2lev.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/pres2lev.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
 c******************************************************
       SUBROUTINE   pres2lev(varo,varn,lmo,lmn,po,pn,
Index: LMDZ.3.3/trunk/libf/dyn3d/read_dstoke.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/read_dstoke.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/read_dstoke.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
             subroutine read_dstoke(irec,zdtvr,ziadvtrac,ziadvtrac2)
 
Index: LMDZ.3.3/trunk/libf/dyn3d/read_fstoke.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/read_fstoke.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/read_fstoke.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
 	subroutine read_fstoke(irec,
      . zrec,zim,zjm,zlm,rlonu_dy,rlonv_dy,rlatu_dy,rlatv_dy,
Index: LMDZ.3.3/trunk/libf/dyn3d/read_fstoke0.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/read_fstoke0.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/read_fstoke0.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
 	subroutine read_fstoke0(irec,
      . zrec,zim,zjm,zlm,rlonu_dy,rlonv_dy,rlatu_dy,rlatv_dy,
Index: LMDZ.3.3/trunk/libf/dyn3d/read_reanalyse.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/read_reanalyse.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/read_reanalyse.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       subroutine read_reanalyse(timestep,u,v,t,masse,ps,mode)
Index: LMDZ.3.3/trunk/libf/dyn3d/redecoupenc.F
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/redecoupenc.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/redecoupenc.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       SUBROUTINE redecoupenc
Index: LMDZ.3.3/trunk/libf/dyn3d/serre.h
===================================================================
--- LMDZ.3.3/trunk/libf/dyn3d/serre.h	(revision 206)
+++ LMDZ.3.3/trunk/libf/dyn3d/serre.h	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
 c..include serre.h
Index: LMDZ.3.3/trunk/libf/phylmd/calcratqs.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/calcratqs.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/calcratqs.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
       SUBROUTINE calcratqs (
      I            paprs,pplay,q_seri,d_t_con,d_t_ajs
Index: LMDZ.3.3/trunk/libf/phylmd/clift.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/clift.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/clift.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
         SUBROUTINE CLIFT (P,T,RR,RS,PLCL,DPLCLDT,DPLCLDQ)
 C***************************************************************
Index: LMDZ.3.3/trunk/libf/phylmd/condsurf.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/condsurf.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/condsurf.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
 c
       SUBROUTINE condsurf( jour, jourvrai, pctsrf,
Index: LMDZ.3.3/trunk/libf/phylmd/conema3.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/conema3.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/conema3.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
       SUBROUTINE conema (dtime,paprs,pplay,t,q,u,v,tra,ntra,
      .             work1,work2,d_t,d_q,d_u,d_v,d_tra,
Index: LMDZ.3.3/trunk/libf/phylmd/convect3.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/convect3.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/convect3.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
       SUBROUTINE CONVECT
      *    (DTIME,  T1,   R1,   RS,    U,  V,  TRA,   P,     PH,
Index: LMDZ.3.3/trunk/libf/phylmd/fisrtilp_tr.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/fisrtilp_tr.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/fisrtilp_tr.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
 c
       SUBROUTINE fisrtilp_tr(dtime,paprs,pplay,t,q,ratqs,
Index: LMDZ.3.3/trunk/libf/phylmd/physiq.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/physiq.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/physiq.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
 c
       SUBROUTINE physiq (nlon,nlev,nqmax  ,
Index: LMDZ.3.3/trunk/libf/phylmd/phystokenc.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/phystokenc.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/phystokenc.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       SUBROUTINE phystokenc (
Index: LMDZ.3.3/trunk/libf/phylmd/phytrac.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/phytrac.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/phytrac.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
       SUBROUTINE phytrac (rnpb,
Index: LMDZ.3.3/trunk/libf/phylmd/read_pstoke.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/read_pstoke.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/read_pstoke.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
 	subroutine read_pstoke(irec,
Index: LMDZ.3.3/trunk/libf/phylmd/read_pstoke0.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/read_pstoke0.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/read_pstoke0.F	(revision 207)
@@ -1,4 +1,4 @@
 c
-c $Header
+c $Header$
 c
 	subroutine read_pstoke0(irec,
Index: LMDZ.3.3/trunk/libf/phylmd/tilft43.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/tilft43.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/tilft43.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
         SUBROUTINE TLIFT43(P,T,Q,QS,GZ,ICB,NK,TVP,TPK,CLW,ND,NL,KK)
         REAL GZ(ND),TPK(ND),CLW(ND),P(ND)
Index: LMDZ.3.3/trunk/libf/phylmd/tlift.F
===================================================================
--- LMDZ.3.3/trunk/libf/phylmd/tlift.F	(revision 206)
+++ LMDZ.3.3/trunk/libf/phylmd/tlift.F	(revision 207)
@@ -1,3 +1,3 @@
-c $Header
+c $Header$
         SUBROUTINE TLIFT(P,T,RR,RS,GZ,PLCL,ICB,NK,
      .                  TVP,TPK,CLW,ND,NL,