Index: /LMDZ.3.3/trunk/libf/dyn3d/fxhyp.F
===================================================================
--- /LMDZ.3.3/trunk/libf/dyn3d/fxhyp.F	(revision 211)
+++ /LMDZ.3.3/trunk/libf/dyn3d/fxhyp.F	(revision 212)
@@ -3,5 +3,6 @@
 c
        SUBROUTINE fxhyp ( xzoomdeg,grossism,dzoom,tau ,
-     , rlonm025,xprimm025,rlonv,xprimv,rlonu,xprimu,rlonp025,xprimp025)
+     , rlonm025,xprimm025,rlonv,xprimv,rlonu,xprimu,rlonp025,xprimp025,
+     , champmin,champmax                                               )
 
 c      Auteur :  P. Le Van 
@@ -49,4 +50,5 @@
        INTEGER is2
        SAVE is2
+
        REAL*8 heavyside
        EXTERNAL coefpoly,heavyside
@@ -57,5 +59,4 @@
        xzoom    = xzoomdeg * pi/180. 
 
-       WRITE(6,24) xzoomdeg,grossism,tau,dzoom
        IF( dzoom.LT.1.)  THEN
          dzoom = dzoom * depi
@@ -68,4 +69,7 @@
        ENDIF
 
+       WRITE(6,*) ' xzoom( rad.),grossism,tau,dzoom (radians)'
+       WRITE(6,24) xzoom,grossism,tau,dzoom
+
        DO i = 0, nmax2 
         xtild(i) = - pi + FLOAT(i) * depi /nmax2
@@ -117,5 +121,4 @@
 
         beta  = ( grossism * ffdx - pi ) / ( ffdx - pi )
-ccc        WRITE(6,*) ' ** X  beta **',beta,grossism
 
        IF( 2.*beta - grossism.LE. 0.)  THEN
@@ -178,4 +181,5 @@
 c     .....  xuv = 0.5  si  calcul  aux pts      U        ........
 c
+      WRITE(6,18)
 c
       DO 5000  ik = 1, 4
@@ -271,5 +275,4 @@
                 GO TO 1600
       ELSE
-       WRITE(6,18) 
        WRITE(6,*) 'Reorganisation des longitudes pour avoir entre - pi',
      ,  ' et pi '
@@ -331,7 +334,7 @@
 
          IF( ik.EQ.1 )  THEN
-          WRITE(6,*)  ' XLON aux pts. V-0.25   apres ( en  deg. ) '
-          WRITE(6,18) 
-          WRITE(6,68) xvrai
+c          WRITE(6,*)  ' XLON aux pts. V-0.25   apres ( en  deg. ) '
+c          WRITE(6,18) 
+c          WRITE(6,68) xvrai
 ccc          WRITE(6,*) ' XPRIM k ',ik
 ccc          WRITE(6,566)  xprimm
@@ -343,7 +346,7 @@
 
          ELSE IF( ik.EQ.2 )  THEN
-          WRITE(6,18) 
-          WRITE(6,*)  ' XLON aux pts. V   apres ( en  deg. ) '
-          WRITE(6,68) xvrai
+c          WRITE(6,18) 
+c          WRITE(6,*)  ' XLON aux pts. V   apres ( en  deg. ) '
+c          WRITE(6,68) xvrai
 ccc          WRITE(6,*) ' XPRIM k ',ik
 ccc          WRITE(6,566)  xprimm
@@ -355,7 +358,7 @@
 
          ELSE IF( ik.EQ.3)   THEN
-          WRITE(6,18) 
-          WRITE(6,*)  ' XLON aux pts. U   apres ( en  deg. ) '
-          WRITE(6,68) xvrai
+c          WRITE(6,18) 
+c          WRITE(6,*)  ' XLON aux pts. U   apres ( en  deg. ) '
+c          WRITE(6,68) xvrai
 ccc          WRITE(6,*) ' XPRIM ik ',ik
 ccc          WRITE(6,566)  xprimm
@@ -367,7 +370,7 @@
 
          ELSE IF( ik.EQ.4 )  THEN
-          WRITE(6,18) 
-          WRITE(6,*)  ' XLON aux pts. V+0.25   apres ( en  deg. ) '
-          WRITE(6,68) xvrai
+c          WRITE(6,18) 
+c          WRITE(6,*)  ' XLON aux pts. V+0.25   apres ( en  deg. ) '
+c          WRITE(6,68) xvrai
 ccc          WRITE(6,*) ' XPRIM ik ',ik
 ccc          WRITE(6,566)  xprimm
@@ -381,4 +384,6 @@
 
 5000    CONTINUE
+c
+       WRITE(6,18)
 c
 c    ...........  fin  de la boucle  do 5000      ............
@@ -396,18 +401,6 @@
          champmax = champmax * 180./pi
 
-        WRITE(6,18)
-        WRITE(6,*) '  Longitudes '
-        WRITE(6,18)
-        WRITE(6,3)  champmin, champmax
-        WRITE(6,*) ' Si cette derniere est trop lache , modifiez les par
-     ,ametres  grossism , tau , dzoom pour X et repasser ! '
-        WRITE(6,18)
-
-3      Format(1x, ' Au centre du zoom , la longueur de la maille est',
-     ,  ' d environ ',f8.2 ,' degres  ',
-     , ' alors que la maille en dehors de la zone du zoom est d environ
-     , ', f8.2,' degres ' )
 18     FORMAT(/)
-24     FORMAT(2x,' Parametres yzoom,gross,tau ,dzoom pour fyhyp ',4f8.3)
+24     FORMAT(2x,'Parametres xzoom,gross,tau ,dzoom pour fxhyp ',4f8.3)
 68     FORMAT(1x,7f9.2)
 
Index: /LMDZ.3.3/trunk/libf/dyn3d/fxyhyper.F
===================================================================
--- /LMDZ.3.3/trunk/libf/dyn3d/fxyhyper.F	(revision 211)
+++ /LMDZ.3.3/trunk/libf/dyn3d/fxyhyper.F	(revision 212)
@@ -39,4 +39,5 @@
        REAL rlonu(iip1),xprimu(iip1),rlonv(iip1),xprimv(iip1),
      , rlonm025(iip1),xprimm025(iip1), rlonp025(iip1),xprimp025(iip1)
+       REAL*8  dxmin, dxmax , dymin, dymax
 
 c   ....   var. locales   .....
@@ -46,8 +47,9 @@
 
        CALL fyhyp ( yzoom, grossy, dzoomy,tauy  , 
-     ,  rlatu, yprimu,rlatv,yprimv,rlatu2,yprimu2,rlatu1,yprimu1 )
+     ,  rlatu, yprimu,rlatv,yprimv,rlatu2,yprimu2,rlatu1,yprimu1 ,
+     ,  dymin,dymax                                               )
 
        CALL fxhyp(xzoom,grossx,dzoomx,taux,rlonm025,xprimm025,rlonv,
-     , xprimv,rlonu,xprimu,rlonp025,xprimp025 )
+     , xprimv,rlonu,xprimu,rlonp025,xprimp025 , dxmin,dxmax         )
 
 
@@ -107,7 +109,27 @@
 c
        WRITE(6,*) '  *** TEST DE COHERENCE  OK    POUR   FY **** '
-       WRITE(6,25)
-25     FORMAT(//)
 c
+        WRITE(6,18)
+        WRITE(6,*) '  Latitudes  '
+        WRITE(6,*) ' *********** '
+        WRITE(6,18)
+        WRITE(6,3)  dymin, dymax
+        WRITE(6,*) ' Si cette derniere est trop lache , modifiez les par
+     ,ametres  grossism , tau , dzoom pour Y et repasser ! '
+c
+        WRITE(6,18)
+        WRITE(6,*) '  Longitudes  '
+        WRITE(6,*) ' ************ '
+        WRITE(6,18)
+        WRITE(6,3)  dxmin, dxmax
+        WRITE(6,*) ' Si cette derniere est trop lache , modifiez les par
+     ,ametres  grossism , tau , dzoom pour Y et repasser ! '
+        WRITE(6,18)
+c
+3      Format(1x, ' Au centre du zoom , la longueur de la maille est',
+     ,  ' d environ ',f8.2 ,' degres  ',
+     , ' alors que la maille en dehors de la zone du zoom est d environ
+     , ', f8.2,' degres ' )
+18      FORMAT(/)
 
        RETURN
Index: /LMDZ.3.3/trunk/libf/dyn3d/fyhyp.F
===================================================================
--- /LMDZ.3.3/trunk/libf/dyn3d/fyhyp.F	(revision 211)
+++ /LMDZ.3.3/trunk/libf/dyn3d/fyhyp.F	(revision 212)
@@ -3,5 +3,6 @@
 c
        SUBROUTINE fyhyp ( yzoomdeg, grossism, dzoom,tau  ,  
-     ,  rrlatu,yyprimu,rrlatv,yyprimv,rlatu2,yprimu2,rlatu1,yprimu1 ) 
+     ,  rrlatu,yyprimu,rrlatv,yyprimv,rlatu2,yprimu2,rlatu1,yprimu1 ,
+     ,  champmin,champmax                                            ) 
 
 cc    ...  Version du 01/04/2001 ....
@@ -86,5 +87,7 @@
        ENDIF
 
-       WRITE(6,*) '  yzoom ,dzoomy (radians),tau',y0,dzoom,tau
+       WRITE(6,18)
+       WRITE(6,*) ' yzoom( rad.),grossism,tau,dzoom (radians)'
+       WRITE(6,24) y0,grossism,tau,dzoom
 
        DO i = 0, nmax2 
@@ -181,4 +184,5 @@
 c   .....   yuv  = 0.5  si calcul des latitudes  aux pts.  V  .....
 c
+      WRITE(6,18)
 c
       DO 5000  ik = 1,4
@@ -253,5 +257,4 @@
        ENDDO
 
-       WRITE(6,18)
        WRITE(6,*) 'Reorganisation des latitudes pour avoir entre - pi/2'
      , ,' et  pi/2 '
@@ -296,7 +299,7 @@
 
         IF( ik.EQ.1 )  THEN
-         WRITE(6,18) 
-         WRITE(6,*)  ' YLAT  en U   apres ( en  deg. ) '
-         WRITE(6,68) (yvrai(j),j=1,jlat)
+c         WRITE(6,18) 
+c         WRITE(6,*)  ' YLAT  en U   apres ( en  deg. ) '
+c         WRITE(6,68) (yvrai(j),j=1,jlat)
 cc         WRITE(6,*) ' YPRIM '
 cc         WRITE(6,445) ( yprim(j),j=1,jlat)
@@ -308,7 +311,7 @@
 
         ELSE IF ( ik.EQ. 2 )  THEN
-         WRITE(6,18) 
-         WRITE(6,*) ' YLAT   en V  apres ( en  deg. ) '
-         WRITE(6,68) (yvrai(j),j=1,jlat)
+c         WRITE(6,18) 
+c         WRITE(6,*) ' YLAT   en V  apres ( en  deg. ) '
+c         WRITE(6,68) (yvrai(j),j=1,jlat)
 cc         WRITE(6,*)' YPRIM '
 cc         WRITE(6,445) ( yprim(j),j=1,jlat)
@@ -320,7 +323,7 @@
 
         ELSE IF ( ik.EQ. 3 )  THEN
-         WRITE(6,18) 
-         WRITE(6,*)  ' YLAT  en U + 0.75  apres ( en  deg. ) '
-         WRITE(6,68) (yvrai(j),j=1,jlat)
+c         WRITE(6,18) 
+c         WRITE(6,*)  ' YLAT  en U + 0.75  apres ( en  deg. ) '
+c         WRITE(6,68) (yvrai(j),j=1,jlat)
 cc         WRITE(6,*) ' YPRIM '
 cc         WRITE(6,445) ( yprim(j),j=1,jlat)
@@ -332,7 +335,7 @@
 
         ELSE IF ( ik.EQ. 4 )  THEN
-         WRITE(6,18) 
-         WRITE(6,*)  ' YLAT en U + 0.25  apres ( en  deg. ) '
-         WRITE(6,68)(yvrai(j),j=1,jlat)
+c         WRITE(6,18) 
+c         WRITE(6,*)  ' YLAT en U + 0.25  apres ( en  deg. ) '
+c         WRITE(6,68)(yvrai(j),j=1,jlat)
 cc         WRITE(6,*) ' YPRIM '
 cc         WRITE(6,68) ( yprim(j),j=1,jlat)
@@ -346,4 +349,6 @@
 
 5000   CONTINUE
+c
+        WRITE(6,18)
 c
 c  .....     fin de la boucle  do 5000 .....
@@ -361,16 +366,5 @@
          champmax = champmax * 180./pi
 
-        WRITE(6,18)
-        WRITE(6,*) '  Latitudes  '
-        WRITE(6,18)
-        WRITE(6,3)  champmin, champmax
-        WRITE(6,*) ' Si cette derniere est trop lache , modifiez les par
-     ,ametres  grossism , tau , dzoom pour Y et repasser ! '
-        WRITE(6,18)
-c
-3      Format(1x, ' Au centre du zoom , la longueur de la maille est',
-     ,  ' d environ ',f8.2 ,' degres  ',
-     , ' alors que la maille en dehors de la zone du zoom est d environ
-     , ', f8.2,' degres ' )
+24     FORMAT(2x,'Parametres yzoom,gross,tau ,dzoom pour fyhyp ',4f8.3)
 18      FORMAT(/)
 68      FORMAT(1x,7f9.2)